summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Stitcher <astitcher@apache.org>2008-04-23 15:58:39 +0000
committerAndrew Stitcher <astitcher@apache.org>2008-04-23 15:58:39 +0000
commitd773d967f2b6131e9ab17456342d004a0d88e6ab (patch)
tree5e5b5c673dab57d28447d7534a7563aab6d59cf9
parent53df5c6c3931748bbb873b49b9dce3fadd60c82a (diff)
downloadqpid-python-d773d967f2b6131e9ab17456342d004a0d88e6ab.tar.gz
Make python tests work with VPATH builds
git-svn-id: https://svn.apache.org/repos/asf/incubator/qpid/trunk@650922 13f79535-47bb-0310-9956-ffa450edef68
-rwxr-xr-xqpid/cpp/src/tests/python_tests6
-rwxr-xr-xqpid/cpp/src/tests/run_federation_tests8
2 files changed, 9 insertions, 5 deletions
diff --git a/qpid/cpp/src/tests/python_tests b/qpid/cpp/src/tests/python_tests
index 0e7b494896..ce6b1f3810 100755
--- a/qpid/cpp/src/tests/python_tests
+++ b/qpid/cpp/src/tests/python_tests
@@ -2,6 +2,8 @@
# Run the python tests.
QPID_PORT=${QPID_PORT:-5672}
PYTHON_TESTS=${PYTHON_TESTS:-$*}
+MY_DIR=$(dirname $(which $0))
+PYTHON_DIR=${MY_DIR}/../../../python
run() {
SPEC=$1
@@ -9,8 +11,8 @@ run() {
./run-tests --skip-self-test -v -s $SPEC -I $FAILING -b localhost:$QPID_PORT $PYTHON_TESTS || { echo "FAIL python tests for $SPEC"; exit 1; }
}
-if test -d ../../../python ; then
- cd ../../../python
+if test -d ${PYTHON_DIR} ; then
+ cd ${PYTHON_DIR}
run 0-10-errata cpp_failing_0-10.txt
if test -z "$QPID_NO_PREVIEW" ; then run ../specs/amqp.0-10-preview.xml cpp_failing_0-10_preview.txt; fi
else
diff --git a/qpid/cpp/src/tests/run_federation_tests b/qpid/cpp/src/tests/run_federation_tests
index 4a5fd39a41..1e2352568f 100755
--- a/qpid/cpp/src/tests/run_federation_tests
+++ b/qpid/cpp/src/tests/run_federation_tests
@@ -1,5 +1,7 @@
#!/bin/sh
# Run the federation tests.
+MY_DIR=$(dirname $(which $0))
+PYTHON_DIR=${MY_DIR}/../../../python
trap stop_brokers EXIT
@@ -15,10 +17,10 @@ stop_brokers() {
../qpidd -q --port $REMOTE_PORT
}
-if test -d ../../../python ; then
+if test -d ${PYTHON_DIR} ; then
start_brokers
echo "Running federation tests using brokers on ports $LOCAL_PORT $REMOTE_PORT"
- export PYTHONPATH=../../../python
- ./federation.py -v -s ../../../specs/amqp.0-10-qpid-errata.xml -b localhost:$LOCAL_PORT --remote-port $REMOTE_PORT || { echo "FAIL federation tests"; exit 1; }
+ export PYTHONPATH=${PYTHON_DIR}
+ ${MY_DIR}/federation.py -v -s ${MY_DIR}/../../../specs/amqp.0-10-qpid-errata.xml -b localhost:$LOCAL_PORT --remote-port $REMOTE_PORT || { echo "FAIL federation tests"; exit 1; }
fi